---
import BaseLayout from "../layouts/BaseLayout.astro";
import HorizontalCard from "../components/HorizontalCard.astro";
import { getCollection } from "astro:content";

const posts = (await getCollection('blog')).sort(
  (a, b) => b.data.pubDate.valueOf() - a.data.pubDate.valueOf()
);

const projects = (await getCollection('projects')).sort(
  (a, b) => b.data.pubDate.valueOf() - a.data.pubDate.valueOf()
);

const last_posts = posts.slice(0, 3);
const last_projects = projects.slice(0, 3);
---

<BaseLayout>

    <div class="pb-12 mt-5">
      <div class="text-xl py-1">Howdy 👋</div>
      <div class="text-5xl font-bold">Jesmigel A. Cantos</div>
      <div class="text-3xl py-3 font-bold">DevOps Engineer and Software Infrastructure Enthusiast.</div>
      <div class="py-2">
        <text class="text-lg">
          I'm doing this blog in order to document and share the experience of building a homelab with the intent of emulating a private cloud. I hope you find it useful!
          </text
        >
      </div>
      <div class="mt-8">
        <a class="btn" href="https://www.linkedin.com/in/jesmigel" target="_blank"> Let's connect!</a>        
      </div>
    </div>

    <div>
      <div class="text-3xl w-full font-bold mb-5 mt-10">Latest from projects</div></div>
    </div>

    {
      last_projects.map((project) => (
        <HorizontalCard
          title={project.data.title}
          img={project.data.heroImage}
          desc={project.data.description}
          url={"/projects/" + project.slug}
          target="_self"
          badge={project.data.badge}
        />
        <div class="divider my-0"></div>
      ))
    }


    <div>
      <div class="text-3xl w-full font-bold mb-5 mt-10">Latest from blog</div>
    </div>

    {
      last_posts.map((post) => (
        <HorizontalCard
          title={post.data.title}
          img={post.data.heroImage}
          desc={post.data.description}
          url={"/blog/" + post.slug}
          target="_self"
          badge={post.data.badge}
        />
        <div class="divider my-0"></div>
      ))
    }

</BaseLayout>
